
QGIS Application - Bug report #4557

Crash when loading nodes into the QgsProject instance with debug enabled.

2011-11-21 03:58 PM - Borys Jurgiel

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data: Copied to github as #: 14470

Description

If the project is not saved yet and paths are set to relative and CMAKE_BUILD_TYPE is set to Debug, then calling

QgsProject.instance().read(some_node) (at least from Python) causes a crash when testing the non existing project file:

Fatal: ASSERT: "pfi.exists()" in file /home/borys/sources/Quantum-GIS/src/core/qgsproject.cpp, line 1368

Core dumped

History

#1 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2011-12-19 11:58 AM - Alexander Bruy

Which QGIS version? This should be fixed in master. Also I just backport this fix to 1.7 and 1.8

#3 - 2011-12-19 01:27 PM - Borys Jurgiel

- Status changed from Open to Closed

Yes, it seems to be fixed now. Thanks!
